{
  "type": "minecraft:block",
  "pools": [
    {
      "bonus_rolls": 0,
      "conditions": [],
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:poisonous_potato",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                  "minecraft:item_name": {
                    "translate": "item.overlyrealistic.iron_nail",
                    "fallback": "Iron Nail",
                    "color": "white"
                  },
                  "!consumable": {},
                  "!food": {},
                  "minecraft:custom_data": {
                    "or_edited_item": true,
                    "or_item_no_edit": true,
                    "or_is_nail": true,
                    "or_nail_type": "iron_nail",
                    "or_is_metal_nail": true
                  },
                  "max_stack_size": 4,
                  "item_model": "overlyrealistic:items/iron_nail"
                }
            }
          ]
        }
      ],
      "rolls": 1
    }
  ]
}